# HegreSprere
## Projet en Symfony 7

### Installation 
Pour cloner le projet : `git clone https://gitea.btssio-poitiers.fr/barillote/hegresphere.git`

Pour update les différents composants du projet tapez : `composer install`

Puis : `composer update`

### Avant de démarrer le projet 
Tout d'abord il faut créer un fichier visible seulement en local nommé : `.env.local`

Dans ce fichier **.env.local** écrire le code suivant : 
`DATABASE_URL="postgresql://nomutilisateur:motdepasse@addresse:port/nombdd?serverVersion=16&charset=utf8"
`

Pour faire une migration dans le cas où l'on souhaite utiliser une autre base de données : `php bin/console make:migration`

Puis pour jouer cette migration : `php bin/console do:mi:mi`

### Démarer le projet
Pour démarer votre projet : `symfony serve` ou bien `php bin/console server:start`

## Comptes
### Compte administrateur 

Login : **admin**

Password : **admin1**

### Comptes intern

Login : **romain**

Password : **password**

Login : **oscar**

Password : **password**

Login : **esteban**

Password : **password**

### Compte employee

Login : **employe**

Password : **employe**